%define xmms_outputdir %(xmms-config --output-plugin-dir 2>/dev/null || echo %{_libdir}/xmms/Output)

Summary: Audio crossfade plugin for XMMS
Name: xmms-crossfade
Version: 0.3.12
Release: 5
License: GPLv2+
Group: Applications/Multimedia
URL: http://www.eisenlohr.org/xmms-crossfade/
Source: http://www.eisenlohr.org/xmms-crossfade/xmms-crossfade-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: xmms >= 1:1.2.10-20
BuildRequires: xmms, xmms-devel, libsamplerate-devel

%description
A plugin for XMMS featuring crossfading, continuous output between songs and
a gap-killer.


%prep
%setup -q


%build
%configure --libdir=%{xmms_outputdir}
%{__make} %{?_smp_mflags}


%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}


%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%exclude %{xmms_outputdir}/libcrossfade.la
%{xmms_outputdir}/libcrossfade.so


%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.12-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.12-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.12-3
- Autorebuild for GCC 4.3

* Thu Aug 23 2007 Matthias Saou <http://freshrpms.net/> 0.3.12-2
- Rebuild for new BuildID feature.

* Sun Aug  5 2007 Matthias Saou <http://freshrpms.net/> 0.3.12-1
- Update to 0.3.12.
- Add missing xmms epoch to the versionned requirement.
- Update License field.
- Remove dist tag, since the package will seldom change.
- Switch to using DESTDIR install method.

* Mon Aug 28 2006 Matthias Saou <http://freshrpms.net/> 0.3.11-1
- Update to 0.3.11.
- FC6 rebuild.
- Remove no longer included TODO file from %%doc.

* Wed Jun 21 2006 Matthias Saou <http://freshrpms.net/> 0.3.10-2
- Also BuildRequire xmms since xmms-devel only requires xmms-libs now, but the
  configure detection requires xmms to be present.

* Mon Feb 13 2006 Matthias Saou <http://freshrpms.net/> 0.3.10-1
- Update to 0.3.10.
- Spec file cleanup.
- Remove no longer needed gcc4 patch.
- Require xmms >= 1.2.10-20 since it includes the required patches.

* Wed Apr 13 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 0.3.8-4
- Add patch0 for GCC4 to fix some storage class mismatches.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Wed Nov 10 2004 Matthias Saou <http://freshrpms.net/> 0.3.8-2
- Bump release to provide Extras upgrade path.
- Removed gtk+-devel build dep, it's been fixed/added in xmms-devel.

* Sat Sep 25 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.8-0.fdr.1
- Updated to 0.3.8.

* Sun Sep 19 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.6-0.fdr.1
- Updated to 0.3.6.
- Added libsamplerate-devel buildreq.

* Sat Aug 21 2004 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.5-0.fdr.1
- Updated to 0.3.5.
- Updated URL.

* Wed Oct  8 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.4-0.fdr.1
- Updated to 0.3.4.
- Removed comment lines.

* Tue Jun  3 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.2
- Removed superfluous glib-devel BuildRequires.

* Fri May 30 2003 Marius L. Jøhndal <mariuslj at ifi.uio.no> - 0:0.3.2-0.fdr.1
- Initial Fedora RPM.
